# NEW RECORDS FOR: STORE MODE ADDON
# THE CONFIGURATION GROUP SORT ORDER MAY BE CHANGED
INSERT INTO configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order, visible) VALUES (1501, 'Modo de la tienda', 'abierto, cerrado o en modo de mantenimiento', '30', '1');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added) VALUES ('Modo actual de la tienda', 'STORE_MODE', 'Open', '<b>Open</b>: tienda completamente funcional<br><b>Closed</b>: checkout deshabilitado<br><b>Maintenance</b>: redirigido a la pagina de mantenimiento', '1501', '1', 'tep_cfg_select_option(array(\'Open\', \'Closed\', \'Maintenance\'), ', now(), now());

INSERT INTO configuration (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added, use_function, set_function) VALUES ('', 'Activar mensaje de vacaciones?', 'STORE_MODE_HOLIDAYS', 'false', 'Esto informa a los cliente de que no podremos atender sus pedido hasta que volvamos de vacaciones. La tienda permanece abierta mientras tanto', 1501, 2, now(), now(), NULL, 'tep_cfg_select_option(array(\'true\', \'false\'),');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added) VALUES ('Aviso Offline', 'OFFLINE_WARNING', 'false', 'Si se activa cuando la tienda esta en modo abierto, aparecera en la parte superior de cada pagina del catalogo un mensaje de advertencia a sus clientes que la tienda va a estar fuera de linea. Este mensaje es configurable en su archivo de idioma', '1501', '3', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now());

INSERT INTO configuration VALUES (NULL, 'Tienda Offline (Fecha/Hora)', 'OFFLINE_DATE_TIME', 'Fecha y hora', 'Establecer la fecha y hora para que su tienda este fuera de linea [Cerrado o Mantenimiento]<br><br>mm/dd/aaaa en hh:mm am/pm<br>', 1501, 4, now(), now(), NULL, NULL);

INSERT INTO configuration VALUES (NULL, 'Tienda Online (Fecha/Hora)', 'ONLINE_DATE_TIME', 'Fecha y hora', 'Establecer la fecha y hora para que su tienda vuelva a estar en linea [Abierto]<br><br>mm/dd/aaaa en hh:mm am/pm<br>', 1501, 5, now(), now(), NULL, NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added) VALUES ('Pagina de Mantenimiento', 'MAINTENANCE_FILENAME', 'index_maintenance.php', 'Esta es la pagina web para que los usuarios seran redirigidos mientras que la tienda esta fuera de linea por mantenimiento<br><br>filename.php o filename.html<br>', '1501', '6', now(), now());

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Modo Mantenimiento: Testing', 'MAINTENANCE_TESTING', 'false', 'Esto desactiva temporalmente la deteccion automatica de su IP para que pueda ver la pagina de mantenimiento bajo el punto de vista de los clientes mientras realiza pruebas', '1501', '7', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Modo Mantenimiento: Ocultar cabecera (Header)', 'HEADER_OFF', 'false', 'Esto oculta la cabecara cuando se muestra la pagina de mantenimiento<br><br>true = Ocultar | false = Mostrar', '1501', '8', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Modo Mantenimiento: Ocultar columna izquierda', 'COLUMN_LEFT_OFF', 'false', 'Esto oculta la columna izquierda cuando se muestra la pagina de mantenimiento<br><br>true = Ocultar | false = Mostrar', '1501', '9', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Modo Mantenimiento: Ocultar columna derecha', 'COLUMN_RIGHT_OFF', 'false', 'Esto oculta la columna derecha cuando se muestra la pagina de mantenimiento<br><br>true = Ocultar | false = Mostrar', '1501', '10', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Modo Mantenimiento: Ocultar pie de pagina (Footer)', 'FOOTER_OFF', 'false', 'Esto oculta el pie de pagina cuando se muestra la pagina de mantenimiento<br><br>true = Ocultar | false = Mostrar', '1501', '11', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, last_modified, date_added, use_function) VALUES ('Modo Mantenimiento: Ocultar precios', 'PRICES_OFF', 'false', 'Esto oculta el precio de los productos cuando se muestra la pagina de mantenimiento<br><br>true = Ocultar | false = Mostrar', '1501', '12', 'tep_cfg_select_option(array(\'true\', \'false\'), ', now(), now(), NULL);

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, last_modified, date_added) VALUES ('Direccion IP Admin', 'OFFLINE_IP_ADDRESS', 'Su actual IP', 'Esta direccion IP sera capaz de acceder al sitio, mientras que todas las demas se redirigen a la pagina de mantenimiento<br><br>Su actual direccion IP deberia de ser detectada automaticamente, pero puede descubrirla en <b>www.find-ip-address.org</b><br>', '1501', '13', now(), now());